74035

Any refinerycms compatibale version with devise &#

Question:

Guys i'm not an expert just a beginner i'm working on a rails project(rails 3.2.8) i want to integrate refinery with this existing project but the problem is when i write gem 'refinerycms', '~> 2.0.8' and run bundle update it gives an error that refinerycms depend upon devise 2.0.0 and i have devise 1.5.3. i want to use devise 1.5.3 with refinery if i choose latest devise version let say(devise 2.0.0) my existing application behavior changes.can u plz tell me a way to get rid from this condition.any help would be highly highly appreciated. thanks.

Answer1:

You can try to use 1.0 version of Refinery (which maintained): https://github.com/refinery/refinerycms/tree/1-0-stable

But I strongly recommend to upgrade devise to 2.0 version instead of using old refinery version. That's easy, just follow the guide: https://github.com/plataformatec/devise/wiki/How-To:-Upgrade-to-Devise-2.0



Recommend

  • Site dead. “ACTION REQUIRED: Rails Security Vulnerability ”
  • How to add a lightbox style image gallery to a refinery-cms website?
  • Failed to create any app request
  • HikariPool-1 - Unusual system clock change detected, soft-evicting connections from pool
  • How to upload files in php using html
  • reset jquery smartwizard
  • Msvcr71.dll Msvcp71.dll missing
  • Query pkg-config variable through autotools
  • SQL - Select lowest values with group by and order by?
  • Better Indy for Dephi 2007
  • Jenkins Grails plugin does not list lastest versions of Grails
  • Using Generics on right hand side in Java 6?
  • How to get listview position?
  • How to use function wrapper in mustache.php?
  • How to get links to open in the native browser in iOS Meteor apps?
  • How do I display a dialog that asks the user multi-choice questıon using tkInter?
  • How to get current document uri in XSLT?
  • Convert Type Decimal to Hex (string) in .NET 3.5
  • What is the purpose of TaskExecutor in spring?
  • MySQL Order by column = x, column asc?
  • gspread or such: help me get cell coordinates (not value)
  • Connect .sks to skscene.h
  • How do I open a C file with a relative path?
  • How to test if a URL from an Eclipse bundle is a directory?
  • The plugin 'org.apache.maven.plugins:maven-jboss-as-plugin' does not exist or no valid ver
  • Scrapy recursive link crawler
  • How to rebase a series of branches?
  • Can I have the cursor start on a particular column by default in jqgrid's edit mode?
  • Hibernate gives error error as “Access to DialectResolutionInfo cannot be null when 'hibernate.
  • Cannot Parse HTML Data Using Android / JSOUP
  • retrieve vertices with no linked edge in arangodb
  • using conditional logic : check if record exists; if it does, update it, if not, create it
  • Hits per day in Google Big Query
  • Understanding cpu registers
  • FormattedException instead of throw new Exception(string.Format(…)) in .NET
  • How to CLICK on IE download dialog box i.e.(Open, Save, Save As…)
  • Can Visual Studio XAML designer handle font family names with spaces as a resource?
  • Linking SubReports Without LinkChild/LinkMaster
  • Add sale price programmatically to product variations
  • XCode 8, some methods disappeared ? ex: layoutAttributesClass() -> AnyClass